import os
from unittest import TestCase

from util import REPO_ROOT, cd, run


class TestParser(TestCase):
    def setUp(self) -> None:
        with cd(REPO_ROOT):
            run("pip install .")
        return super().setUp()

    def tearDown(self) -> None:
        run("pip uninstall -y gt")
        return super().tearDown()

    def test_parse(self):
        api_key = os.getenv("OPENAI_APIKEY")

        with cd(REPO_ROOT):
            run(f"ee --key {api_key}")
            self.assertTrue("OpenAI" in str(run('ee -a "who are you?"')))
            self.assertTrue("ee" in str(run("ee -v")))
